<!DOCTYPE html>
<html lang="en">


<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>History</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link rel="stylesheet" href="../../../dist/css/main.css" type="text/css" />
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
</head>

<body>
    <div class="sidenav leftSidebar expandedNav" id="adminBavbar"></div>
    <div id="mainContent">
        <nav class="navbar-header">
            <!-- for topnavigation bar topbar.js -->
        </nav>
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">Leaves</h2>

                <ul class="tabs mb-0">
                    <li>
                        <a href="#">MY LEAVES</a>
                    </li>
                    <li>
                        <a href="#">REVIEW & APPROVALS</a>
                    </li>
                    <li>
                        <a href="#">UPLOAD LEAVES</a>
                    </li>
                </ul>

            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content adminTabsScreen">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">

                                        <h3>Leave Requisition</h3>

                                    </div>
                                    <div>
                                            <button class="oct-btn oct-btn-success">
                                                    <a href="#"><svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" 
                                                   x="0px" y="0px" viewBox="0 0 128 128" style="enable-background:new 0 0 128 128;" xml:space="preserve">
                                                   <g id="_x32_8"><path style="fill-rule:evenodd;clip-rule:evenodd;fill:#ffffff;" 
                                                   d="M127.839,70.187h-57.66v57.745H57.822V70.187H0.161V57.814h57.661V0.068h12.357v57.746h57.66V70.187z"></path></g>
                                                   <g id="Layer_1"></g></svg> New Request</a></button>
             
                                    </div>
                                </div>

                                <a href="#addFiltersPopup" rel="modal:open"> <button
                                        class="oct-btn btn-default mb-4">Add Filter</button></a>
                                <div class="table-responsive table-striped table-hover">
                                    <table class="innerTable">
                                        <tr>
                                            <th class="trHead">Request No
                                            </th>
                                            <th class="trHead">Type
                                            </th>
                                            <th class="trHead">From
                                            </th>
                                            <th class="trHead">To
                                            </th>
                                            <th class="trHead">Days
                                            </th>
                                            <th class="trHead">Reason
                                            </th>
                                            <th class="trHead">Approval
                                            </th>
                                            <th class="trHead">Status
                                            </th>
                                            <th class="trHead thSeven">Action
                                            </th>
                                        </tr>

                                        <tr>
                                            <td><a href="#historyDetailsPopup" rel="modal:open">LV18/00001113 </a></td>
                                            <td>Earned</td>
                                            <td>1st half-Feb 24 </td>
                                            <td>2nd half-Feb 26</td>
                                            <td>2 days</td>
                                            <td>Function at home</td>
                                            <td>Pending</td>
                                            <td>Open</td>
                                            <td class="thSeven"><button class="oct-btn oct-btn-outline actionBtn"><i
                                                        class="material-icons">delete</i></button></td>

                                        </tr>
                                        <tr>
                                            <td><a href="#historyDetailsPopup" rel="modal:open">LV18/00001113 </a></td>
                                            <td>Casual</td>
                                            <td>1st half-Feb 24 </td>
                                            <td>2nd half-Feb 26</td>
                                            <td>2 days</td>
                                            <td>going at home</td>
                                            <td>Pending</td>
                                            <td>Closed</td>
                                            <td class="thSeven"><button class="oct-btn oct-btn-outline actionBtn"><i
                                                        class="material-icons">delete</i></button></td>

                                        </tr>


                                    </table>


                                </div>

                            </div>

                        </div>

                    </div>
                    <!-- / tabs_item -->
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">

                                        <h3>Pending Approvals</h3>

                                    </div>
                                    <div>
                                        <h3 class="newAdd mb-0">
                                            <a href="../learning/new-request.html">New Request</a>
                                        </h3>
                                    </div>
                                </div>

                                <a href="#addFiltersPopup" rel="modal:open"> <button class="oct-btn btn-default mb-4">Add Filter</button></a>
                                <div class="table-responsive table-striped table-hover">
                                    <table class="innerTable">
                                        <tr>
                                            <th class="trHead"><input id="selectall" type="checkbox" class="case"
                                                    name="case" value="1">
                                            </th>

                                            <th class="trHead">Request No.
                                            </th>
                                            <th class="trHead">Request By
                                            </th>
                                            <th class="trHead">Type
                                            </th>
                                            <th class="trHead">From
                                            </th>
                                            <th class="trHead">To
                                            </th>
                                            <th class="trHead">Reason
                                            </th>
                                        </tr>

                                        <tr>
                                            <td><input type="checkbox" onclick="onCheck();" class="case" name="case"
                                                    value="1"></td>
                                            <td><a href="#historyDetailsPopup" rel="modal:open">LV18/00001113 </a></td>
                                            <td>Sachin Shah</td>
                                            <td>Sick Leave </td>
                                            <td>1st half-Feb 16</td>
                                            <td>2nd half-Feb 23</td>
                                            <td>Fell sick with flu</td>

                                        </tr>
                                        <tr>
                                            <td><input type="checkbox" onclick="onCheck();" class="case" name="case"
                                                    value="1"></td>
                                            <td><a href="#historyDetailsPopup" rel="modal:open">LV18/00001113 </a></td>
                                            <td>Amik Desai</td>
                                            <td> casual Leave</td>
                                            <td>1st half-Feb 13</td>
                                            <td>2nd half-Feb 24</td>
                                            <td>Going out of town for family business</td>


                                        </tr>


                                    </table>


                                </div>



                                <div class="mt-4">
                                    <a href="#learningApprove1" rel="modal:open"><button class="oct-btn oct-btn-primary"
                                            disabled id="approve">Approve</button></a>
                                    <a href="#learningreject" rel="modal:open"> <button class="oct-btn oct-btn-outline"
                                            disabled id="reject">Reject</button>
                                    </a>
                                </div>
                            </div>

                        </div>

                    </div>
                    <!-- / -->
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">

                                        <h3>Upload Leave Details</h3>

                                    </div>

                                </div>



                                <div class="row no-padding uploadFileStyling">
                                    <div class="withLabel filterLable DashedBorder fields file-drop-area">
                                        <label class="file-msg">Upload File <i class="fas fa-upload"></i></label>
                                        <input class="file-input" type="file" multiple="">
                                    </div>
                                </div>

                                <button class="oct-btn oct-btn-primary mt-4 mb-4">Upload</button>
                                <button class="oct-btn oct-btn-outline">Download Sample</button>

                            </div>

                        </div>

                    </div>
                    <!-- / tab_content -->
                </div>
                <!-- / tab -->
            </div>
        </div>



        <div id="addFiltersPopup" class="modal addFilterTablePopup" style="max-width: 800px !important;">
            <form name="filterFrm1" id="filterFrm1">
                <!-- filter popup model content-->
                <h4 class="m-0"> Filter</h4>
                <ul class="nav nav-tabs filterTabs" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab"
                            aria-controls="home" aria-selected="true">Main</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                            aria-controls="profile" aria-selected="false">Additional</a>
                    </li>
                </ul>
                <div class="tab-content filterTestContent">
                    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                        <div class="row no-padding">

                            <div class="fields mr-3 mb-3 mt-3">
                                <label for="companyType">Company</label>
                                <select id="companyType" name="companyType">
                                    <option value="null" selected="">Select </option>
                                    <option value="google">Google</option>
                                    <option value="embee">Embee</option>
                                    <option value="yahoo">Yahoo</option>
                                </select>
                            </div>

                            <div class="fields mr-3 mb-3 mt-3">
                                <label for="branchType">Branch</label>
                                <select id="branchType" name="branchType">
                                    <option value="null" selected="">Select</option>
                                    <option value="delhi">Delhi</option>
                                    <option value="mumbai">Mumbai</option>
                                    <option value="kolkata">Kolkata</option>
                                </select>
                            </div>

                            <div class="fields mr-3 mb-3 mt-3">
                                <label for="costBranchType">Cost Branch</label>
                                <select id="costBranchType" name="costBranchType">
                                    <option value="null" selected="">Select</option>
                                    <option value="delhi">Delhi</option>
                                    <option value="mumbai">Mumbai</option>
                                    <option value="kolkata">Kolkata</option>
                                </select>
                            </div>

                            <div class="fields mb-3 mt-3">
                                <label for="departmentType">Department</label>
                                <select id="departmentType" name="departmentType">
                                    <option value="null" selected="">Select</option>
                                    <option value="human resources">Human Resources</option>
                                    <option value="development">Development</option>
                                    <option value="marketing">Marketing</option>
                                </select>
                            </div>


                            <div class="fields mr-3 mb-3">
                                <label for="projectType">Project</label>
                                <select style="width: 80px !important;" id="projectType" name="projectType">
                                    <option value="null" selected="">Select</option>
                                    <option value="csp">CSP</option>
                                    <option value="octane">Octane</option>
                                    <option value="hrms">HRMS</option>
                                </select>
                            </div>
                            <div class="fields mr-3 mb-3">
                                <label for="grade">Grade </label>
                                <select style="width: 80px !important;" id="grade" name="grade">
                                    <option value="null" selected="">Select </option>
                                    <option value="27">27</option>
                                    <option value="28">28</option>
                                    <option value="29">29</option>
                                </select>
                            </div>

                            <div class="fields mr-3 mb-3">
                                <label for="division">Division</label>
                                <select id="division" name="division">
                                    <option value="null" selected="">Select</option>
                                    <option value="human resources">Human Resources</option>
                                    <option value="development">Development</option>
                                    <option value="marketing">Marketing</option>
                                </select>
                            </div>

                            <div class="fields mr-3 mb-3">
                                <label for="employmentStatus">Employement Status</label>
                                <select id="employmentStatus" name="employmentStatus">
                                    <option value="null" selected="">Select</option>
                                    <option value="full-time">Full Time</option>
                                    <option value="part-time">Part Time</option>
                                    <option value="intern">Intern</option>
                                </select>
                            </div>

                            <div class="fields mb-3">
                                <label for="">Employement Type</label>
                                <select id="employmentType" name="employmentType">
                                    <option value="null" selected="">Select</option>
                                    <option value="full-time">Full Time</option>
                                    <option value="part-time">Part Time</option>
                                    <option value="intern">Intern</option>
                                </select>
                            </div>

                            <div class="fields mr-3">
                                <label for="employeeCode">Employee Code</label>
                                <input type="text" name="employeeCode" placeholder="">
                            </div>

                            <div class="fields mr-3">
                                <label for="firstName">First Name </label>
                                <input type="text" name="firstName" placeholder="">
                            </div>

                            <div class="fields mr-3">
                                <label for="middleName">Middle Name </label>
                                <input type="text" name="middleName" placeholder="">
                            </div>

                            <div class="fields">
                                <label for="lastName">Last Name</label>
                                <input type="text" name="lastName" placeholder="">
                            </div>
                        </div>

                        <div class="row">
                            <div class="table-responsive table-striped table-hover filterTable mt-4" id="employeeTable">
                                <table class="innerTable ml-3">
                                    <tbody>
                                        <tr>
                                            <th class="trHead"></th>
                                            <th class="trHead">Code</th>
                                            <th class="trHead">Employee Name</th>
                                            <th class="trHead">Title</th>
                                            <th class="trHead">Department</th>
                                            <th class="trHead">Branch</th>
                                        </tr>
                                        <tr>
                                            <td style="width: 1px !important;
                                            ">
                                                <div class="radioButttonStyling">
                                                    <label style="padding-right: 0 !important;" for="radioBtn10"
                                                        class="radio ">
                                                        <input data-empcode="226718" type="radio" name="ticket1"
                                                            checked="" id="radioBtn10" class="hidden">
                                                        <span class="label"></span>
                                                    </label></div>
                                            </td>
                                            <td>
                                                226718
                                            </td>
                                            <td>
                                                <img src="https://randomuser.me/api/portraits/men/47.jpg">
                                                Sachin Shah
                                            </td>
                                            <td>Front-End Developer</td>
                                            <td>Development</td>
                                            <td>Delhi</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="radioButttonStyling">
                                                    <label style="padding-right: 0 !important;" for="radioBtn11"
                                                        class="radio ">
                                                        <input data-empcode="226727" type="radio" name="ticket1"
                                                            id="radioBtn11" class="hidden">
                                                        <span class="label"></span>
                                                    </label></div>
                                            </td>
                                            <td>
                                                226727
                                            </td>
                                            <td>
                                                <img src="https://randomuser.me/api/portraits/men/47.jpg"> Amik Desai
                                            </td>
                                            <td>SEO Lead</td>
                                            <td>Development</td>
                                            <td>Kolkata
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="radioButttonStyling">
                                                    <label style="padding-right: 0 !important;" for="radioBtn12"
                                                        class="radio ">
                                                        <input data-empcode="222628" type="radio" name="ticket1"
                                                            id="radioBtn12" class="hidden">
                                                        <span class="label"></span>
                                                    </label></div>
                                            </td>
                                            <td>
                                                222628
                                            </td>
                                            <td>
                                                <img src="https://randomuser.me/api/portraits/women/15.jpg">Suhana Mehta
                                            </td>
                                            <td>UI Designer</td>
                                            <td>Design</td>
                                            <td>Delhi</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                        <div class="row">

                            <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                                <div class="fields mt-3">
                                    <label for="fiscalYear">Fiscal Year</label>
                                    <select id="fiscalYear" name="fiscalYear">
                                        <option value="null" selected="">Select</option>
                                        <option value="google">Google</option>
                                        <option value="embee">Embee</option>
                                        <option value="yahoo">Yahoo</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                                <div class="fields mt-3">
                                    <label for="fiscalMonth">Fiscal Month</label>
                                    <select id="fiscalMonth" name="fiscalMonth">
                                        <option value="null" selected="">Select</option>
                                        <option value="delhi">Delhi</option>
                                        <option value="mumbai">Mumbai</option>
                                        <option value="kolkata">Kolkata</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                                <div class="fields mt-3">
                                    <label for="selectionStatus">Selection Status</label>
                                    <select id="selectionStatus" name="selectionStatus">
                                        <option value="null" selected="">Select</option>
                                        <option value="google">Google</option>
                                        <option value="embee">Embee</option>
                                        <option value="yahoo">Yahoo</option>
                                    </select>
                                </div>
                            </div>

                        </div>
                    </div>


                    <div class="form-group mb-0 mt-4">
                        <div class="row marginNone closeBtn">
                            <button type="button" id="applyBtn"
                                class="oct-btn oct-btn-primary mt-0 applyLearningFilters">Apply</button>
                            &nbsp;
                            <a href="javascript:void(0);" class="ClearCross clearTableFilters ml-2 mt-1">Clear</a>
                        </div>
                    </div>
            </form>
        </div>

        <div class="modal addFilterTablePopup" id="historyDetailsPopup">
                    <h4>Leave Details</h4>
                    <div class="approvalPopup">
                        <div class="row">
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>REQUEST NO<span>LV18/00001158</span></p>

                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>TYPE<span>Casual</span></p>
                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>FROM<span>3:45 pm - Mar 14, 2019</span></p>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>TO<span>5:30 pm - Mar 14, 2019</span></p>

                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>DAYS<span>2 Days</span></p>
                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>REASON<span>Going out of town</span></p>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>APPROVAL<span>Rejected</span></p>

                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>STATUS<span>Closed</span></p>
                            </div>
                        </div>


                    </div>
              
        </div>
        <div style="width: auto !important;" id="learningApprove1" class="modal octanePopup">
                <h4>Approve</h4>
    
                <div class="form-group">
                    <div style="height: 110px;" class="row marginNone">
                        <div class="fields">
                            <label class="labelGroup mt-4">Description</label>
                            <textarea class="mandatory" name="desc" id="desc" cols="75" rows="5"
                                placeholder="Please enter comments"></textarea>
                        </div>
                    </div>
    
    
                    <div class="row marginNone closeBtn mt-4">
                        <button onclick="formValidations('learningApprove1');" type="button" id="approveBtn"
                            class="oct-btn oct-btn-primary mt-0">Submit</button>
                        <button class="clearButton mt-1" type="button"
                            onclick="clearForm('learningApprove1','yes');">Clear</button>
                    </div>
    
                </div>
            </div>

            <div style="width: auto !important;" id="learningreject" class="modal octanePopup">
                    <h4>Reject</h4>
                    <div class="form-group">
                       <div style="height: 110px;" class="row marginNone">
                            <div class="fields">
                                <label class="labelGroup mt-4">Reason for rejection <span class="mandatorySign">*</span></label>
                                <textarea class="mandatory" name="reason" id="reason" cols="75" rows="5"
                                    placeholder="Please state the reason for rejecting the request"></textarea>
                            </div>
                        </div>
        
        
                        <div class="row marginNone closeBtn mt-4">
                            <button onclick="formValidations('learningreject');" type="button" id="approveBtn"
                                class="oct-btn oct-btn-primary mt-0">Submit</button>
                            <button class="clearButton mt-1" type="button"
                                onclick="clearForm('learningreject','yes');">Clear</button>
        
                        </div>
        
                    </div>
                </div>


        <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
        <script src="../../../dist/js/sidebar-admin.js"></script>
        <script src="../../../dist/js/topbar.js"></script>
        <script src="../../../dist/js/octane.js"></script>
        <script>
            // Start multiple select / deselect functionality
            $("#selectall").click(function () {
                $('.case').prop('checked', this.checked);
                let checkboxLen = $('.case:checked').length;
                console.log(checkboxLen);
                if (checkboxLen >= 1) {
                    $('#approve,#reject').removeAttr('disabled');
                }
                if (checkboxLen == 0) {
                    $('#approve,#reject').attr('disabled', 'disabled');
                }
            });
            // if all checkbox are selected, check the selectall checkbox  also        
            $(".case").click(function () {
                let checkboxLen = $('.case:checked').length;
                if ($(".case").length == checkboxLen) {

                    $("#selectall").prop("checked", true);
                } else {

                    $("#selectall").prop("checked", false);
                }
            });

            function onCheck() {
                let checkboxLen = $('.case:checked').length;

                if (checkboxLen == 0) {
                    $('#approve,#reject').attr('disabled', 'disabled');

                }
                if (checkboxLen == 1) {
                    $('#approve,#reject').removeAttr('disabled');
                }

            }
        </script>

<script>
        //Upload Document Code
        var $fileInput = $('.file-input');
        var $droparea = $('.file-drop-area');

        // highlight drag area
        $fileInput.on('dragenter focus click', function () {
            $droparea.addClass('is-active');
        });

        // back to normal state
        $fileInput.on('dragleave blur drop', function () {
            $droparea.removeClass('is-active');
        });

        // change inner text
        $fileInput.on('change', function () {

            var filesCount = $(this)[0].files.length;
            var $textContainer = $(this).prev();

            if (filesCount === 1) {
                // if single file is selected, show file name
                var fileName = $(this).val().split('\\').pop();
                $textContainer.text(fileName);
            }
            /*else {
              // otherwise show number of files
              $textContainer.text(filesCount + ' files selected');
            }*/
        });
        //End File Upload Code
    </script>
</body>

</html>